# Class CIM_DeviceErrorData
extends CIM_StatisticalData

DeviceErrorData is a statistical class that contains error- related counters for a LogicalDevice. The types of errors are defined by CCITT (Rec X.733) and ISO (IEC 10164-4). The element, whose statistics are described, is associated using the relationship, ElementStatisticalData. Note that this class uses a simplified identity or naming algorithm over CIM_DeviceErrorCounts.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_DeviceErrorData

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | DeviceErrorData is a statistical class that contains error- related counters for a LogicalDevice. The types of errors are defined by CCITT (Rec X.733) and ISO (IEC 10164-4). The element, whose statistics are described, is associated using the relationship, ElementStatisticalData. Note that this class uses a simplified identity or naming algorithm over CIM_DeviceErrorCounts.
UMLPackagePath | string | CIM::Device::DeviceElements
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CriticalErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the critical errors.
MappingStrings | string | MIF.DMTF|Operational State|006.7
ErrorDescription | string |
Description | string | ErrorDescription is a free-form string that supplies more information about the error recorded in LastErrorCode, and information on any corrective actions that might be taken.
IndeterminateErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the indeterminate errors.
LastErrorCode | string |
Description | string | LastErrorCode captures the last error code reported by the LogicalDevice. While the device is in this error condition, then the OperationalStatus of the LogicalDevice should not reflect an 'Okay' status. When this error condition is cleared, then the OperationalStatus of the LogicalDevice should report an 'Okay' status.
MajorErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the major errors.
MappingStrings | string | MIF.DMTF|Operational State|006.8
MinorErrorCount | uint64 |
Counter | boolean | true
Description | string | Count of the minor errors.
WarningCount | uint64 |
Counter | boolean | true
Description | string | Count of the warnings.
MappingStrings | string | MIF.DMTF|Operational State|006.9

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData